Subject: Re: [clue] draft-romanow-clue-telepresence-requirements-01.txt

From: "Allyn Romanow (allyn)" <[email-masked]>
Date: Tue, 29 Mar 2011 05:36:14 -0700

Hi Paul,
These were very helpful comments. 
I've cc'ed the mailing list.

Thanks,
Allyn

> -----Original Message-----
> From: Paul Kyzivat (pkyzivat)
> Sent: Wednesday, March 23, 2011 12:13 PM
> To: Allyn Romanow (allyn)
> Subject: draft-romanow-clue-telepresence-requirements-01.txt
> 
> Allyn,
> 
> A few comments on the latest requirements draft:
> 
> Assumptions:
> 
>     ASMP-1:  Endpoints sending spatially related streams should make
> sure
>              they are disjoint and arranged as announced.
> 
> Its an assumption that they *should* do this? I think it is probably
an
> assumption that they *do* this. (Same comment applies to several
> assumptions.)
> 
AGREED I fixed them

>     ASMP-3:  Layout can be done locally, remotely, or by a combination
> of
>              the two.
> 
> Unclear. Is the assumption that all endpoints can do either? Or that
> some endpoints may only be able to do one and not the other?

OKAY, good point. Fixed

> 
>     ASMP-6:  Different systems do things differently.  It is not the
>              intention of CLUE to dictate Telepresence architectural
> and
>              implementation choices.  Rather CLUE enables different
>              systems to interwork by exchanging information that
> systems
>              can use to be interoperable.
> 
> But presumably it is an assumption that all systems relevant to clue
do
> conform to the assumptions. So there are limits to the differences,
> right?

Yes, agree.. do you want something to be said differently??
> 
> Requirements:
> 
> REQMT-2:
> 
> This starts talking about things that happen in a "session" and end
> talking about things that happen in a "conference". I think these are
> meant as synonyms in this context. But if so it would be better to use
> a
> consistent term. If not, then the reason for the difference isn't
> clear.

In the draft I am looking at, -01, it talks about dynamic behavior of
streams (at the beginning) as a result of changes in layout that may
happen during a conference (at the end). So, they aren't synonyms. Do
you want to check it again? 
If you think it's still not clear, I'll add text to clarify - thanks

> 
>     REQMT-3:   Specify a mechanism for the receiver to tell the sender
>                (endpoint or middlebox)which streams it wants to
> receive.
>                This includes specifying a way for the receiver to know
>                what the sender can send; and a way of designating
>                streams.
> 
> Offer/answer provides a way to do this at one level. But I'm quite
sure
> that isn't what you are talking about. Rather I presume you are
talking
> about "conceptual" or "specific" streams that could be provided if
> desired. I'm not certain that is entirely clear here.
> 
If you want to suggest a change, I'll consider it. Otherwise, I probably
think it's okay to use general language.

>     REQMT-9:   CLUE must support different models of where layout
>                decisions are made - local and remote. ...
> 
> Does this imply a requirement to be able to negotiate which model is
> used for each endpoint?
> 
Yes, I think so..  that's how I think of it
(plus looks like a typo in that section.. two extra lines left over from
another draft)

> 	Thanks,
> 	Paul